ZABBIX Forums  
  #1  
Old 18-11-2009, 17:29
lrinetti lrinetti is offline
Junior Member
 
Join Date: Nov 2009
Posts: 3
Default configure: error: PostgreSQL library not found

I'm installing Zabbix 1.6.7 on my Ubuntu 8.04 with:
- Apache2 2.2.8
- PHP 5.2.4
- Postgresql 8.3.8
following the Zabbix manual everything is ok until the:
./configure --enable-server --with-pgsql --with-net-snmp –with-jabber –
with-libcurl
that returned:
configure: error: PostgreSQL library not found
What may be the origin of the problem ? There is a solution ?

Reply With Quote
  #2  
Old 18-11-2009, 17:42
exkg exkg is offline
Senior Member
Zabbix Certified Specialist
 
Join Date: Mar 2007
Location: Porto Alegre - Rio Grande do Sul - Brasil
Posts: 696
Send a message via MSN to exkg Send a message via Skype™ to exkg
Default

You need the develop packages from PGSql.



[]s,
Luciano
__________________
--
Luciano Alves
www.unirede.net
Twitter|Facebook|Blog|Youtube
Porto Alegre - RS - Brasil
Reply With Quote
  #3  
Old 18-11-2009, 18:57
lrinetti lrinetti is offline
Junior Member
 
Join Date: Nov 2009
Posts: 3
Default

Quote:
Originally Posted by exkg View Post
You need the develop packages from PGSql.



[]s,
Luciano
Hi Luciano,
after installing:
- postgresql-server-dev-8.3
- libpgtcl-dev
the problem is solved.
Thank You.
Reply With Quote
  #4  
Old 16-08-2011, 17:05
theremin theremin is offline
Junior Member
 
Join Date: Apr 2008
Posts: 1
Default

Specifying the full path for pg_config worked for me, in my case Im using Postgres 9.0

./configure --enable-server --with-pgsql=/usr/pgsql-9.0/bin/pg_config --with-net-snmp --with-libcurl
Reply With Quote
Reply

Tags
installation, postgresql, ubuntu

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 18:58.